Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a webhook

Scope: developers:webhooks.read https://api.alladdin.com/api/v2/webhooks/{webhookId}

Retrieves a webhook by its unique identifier.

Parameters

Path parameters

webhookId string required

Webhook ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/webhooks/507f1f77bcf86cd799439011"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "url": "https://example.com/webhook",
  "events": [
    "invoice.create",
    "invoice.update"
  ],
  "version": "v1",
  "description": "My webhook",
  "enabled": true,
  "created_at": "2026-01-15T10:30:00+00:00",
  "updated_at": "2026-01-15T10:30:00+00:00",
  "secret": "whsec_abc123",
  "disable": {
    "at": "2026-01-15T10:30:00+00:00",
    "reason": "Endpoint returning 5xx errors",
    "by": {
      "id": "507f1f77bcf86cd799439011",
      "type": "user"
    }
  }
}

Success responses

200 Webhook found application/json object id string url string<uri> events[] string[] version string description string enabled boolean created_at string<date-time> updated_at string<date-time> | null secret string disable object | null at string<date-time> reason string by object | null

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Webhook not found application/json 429 Rate limit exceeded application/json

← PreviousList webhooks →

Next →List supported webhook event types →